Bug 100889 - Anaconda should ask if you want to Customize Packages to be Upgraded
Anaconda should ask if you want to Customize Packages to be Upgraded
Status: CLOSED WONTFIX
Product: Red Hat Linux Beta
Classification: Retired
Component: anaconda (Show other bugs)
beta1
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-26 15:16 EDT by Justin Churchey
Modified: 2007-04-18 12:56 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-07-26 23:15:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Justin Churchey 2003-07-26 15:16:14 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030703

Description of problem:
In previous versions of anaconda, when you chose to upgrade an existing RH
installation, there was a checkbox that you would check if you wanted to
"Customize Individual Packages".  However, that is not in this version and I
believe it should be continued.  The CD is very useful if you need to re-install
the kernel or the bootloader when disasters happen.

Version-Release number of selected component (if applicable):
anaconda-9.0.93-1

How reproducible:
Always

Steps to Reproduce:
1.Run anaconda
2.Choose to Upgrade Existing RH installation
3.
    

Actual Results:  There is no way to customize the packages to be upgraded.

Expected Results:  You should be able to choose individual packages to be
upgraded as in previous versions of anaconda.

Additional info:
Comment 1 Jeremy Katz 2003-07-26 23:15:11 EDT
anaconda will get you upgraded and then you can customize packages to your
heart's content afterwards with redhat-config-packages or
$package_tool_of_your_choice.  
Comment 2 Justin Churchey 2003-07-26 23:55:37 EDT
Sometimes I've used it as a tool to re-install a badly compiled kernel or
bootloader.  It has come in handy many a times.  Why did you take that option
out of the installer?
Comment 3 Sergio A. Kessler 2004-10-12 15:40:38 EDT
jeremy, for redhat-config-packages to work you need gnome.

suppose I installed the system without X and now you want to install a
desktop.
(something common according to google)

there is NO way a newbie can do it.
(yum install gnome-desktop will not even pull X packages)
(no, yum install gnome-session didn't work either)

the easy way would be to boot doing an upgrade, customize packages,
select gnome.

now, I'm pretty sure you have a reason why you killed this option
(which I don't know)

but how about a compromise ?, how about if you enable this option if I
booted with 'linux expert' ?

(and yes, it happened to me, I had to install a desktop in a machine
and had to do it the hard way, the very hard way with yum, lots of
bandwidht and time lost, when the things I needed were on a CD)

Note You need to log in before you can comment on or make changes to this bug.